aboutsummaryrefslogtreecommitdiffstats
path: root/main/libxft/APKBUILD
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2013-09-27 14:19:28 +0000
committerTimo Teräs <timo.teras@iki.fi>2013-09-27 14:22:26 +0000
commit1751d6595597f1d9101cac04e54f20d95790f4f4 (patch)
treee895c3aa71985691256eca03cf4f7cdfeb0d966b /main/libxft/APKBUILD
parentee152f9e0dce8017d033e01e018f1482d27e7e1d (diff)
downloadaports-1751d6595597f1d9101cac04e54f20d95790f4f4.tar.gz
aports-1751d6595597f1d9101cac04e54f20d95790f4f4.tar.bz2
aports-1751d6595597f1d9101cac04e54f20d95790f4f4.tar.xz
main/[various]: fix build against musl (add update_config_sub)
Diffstat (limited to 'main/libxft/APKBUILD')
-rw-r--r--main/libxft/APKBUILD9
1 files changed, 8 insertions, 1 deletions
diff --git a/main/libxft/APKBUILD b/main/libxft/APKBUILD
index 83776140e0..7c837033b3 100644
--- a/main/libxft/APKBUILD
+++ b/main/libxft/APKBUILD
@@ -12,8 +12,15 @@ depends_dev="xproto libxrender-dev fontconfig-dev freetype-dev zlib-dev"
makedepends="$depends_dev"
source="http://xorg.freedesktop.org/releases/individual/lib/libXft-$pkgver.tar.bz2"
+_builddir="$srcdir/libXft-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+
build () {
- cd "$srcdir"/libXft-$pkgver
+ cd "$_builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \